Skip to content

Get Oasis Deposit Address(s)

Get deposit addresses under Oasis accounts.

Endpoint

GET https://api.mycactus.dev/custody/v1/oasis-api/institution/accounts/{accountId}/address
GET https://api.mycactus.com/custody/v1/oasis-api/institution/accounts/{accountId}/address

Parameters

Path Parameters

Field Type Description

accountId
Required

String Account ID

Response

Response Body

FieldTypeDescription
codeIntegerResponse code (0 = success)
messageStringResponse message
successfulBooleanWhether the request was successful
dataObject[]Deposit address array.

data (object)

FieldTypeDescription
accountIdStringAccount ID
currencyStringCurrency type, e.g : USDT
amountStringCurrency total amount, in standard units
payingStringAmount being paid
pendingStringPending amount (generally not available for Buff accounts)
frozenStringFrozen amount (generally not available for Buff accounts)
validAmountStringThe amount you can currently withdraw or transfer from your account.
Calculated As: Total Balance minus any paying, pending, or frozen funds.

Response Example

{
  "code": 0,
  "message": "string",
  "data": [
    {
      "currency": "BTC",
      "amount": "100.12345678",
      "paying": "10",
      "pending": "0",
      "frozen": "0",
      "validAmount": "100.12345678",
      "accountId": "100001"
    },
    {
      "currency": "USDT",
      "amount": "100.123456",
      "paying": "10",
      "pending": "0",
      "frozen": "0",
      "validAmount": "100.123456",
      "accountId": "100002"
    }
  ],
  "successful": true
}